module.exports =
/******/ (function(modules) { // webpackBootstrap
/******/ 	// The module cache
/******/ 	var installedModules = {};

/******/ 	// The require function
/******/ 	function __webpack_require__(moduleId) {

/******/ 		// Check if module is in cache
/******/ 		if(installedModules[moduleId])
/******/ 			return installedModules[moduleId].exports;

/******/ 		// Create a new module (and put it into the cache)
/******/ 		var module = installedModules[moduleId] = {
/******/ 			exports: {},
/******/ 			id: moduleId,
/******/ 			loaded: false
/******/ 		};

/******/ 		// Execute the module function
/******/ 		modules[moduleId].call(module.exports, module, module.exports, __webpack_require__);

/******/ 		// Flag the module as loaded
/******/ 		module.loaded = true;

/******/ 		// Return the exports of the module
/******/ 		return module.exports;
/******/ 	}


/******/ 	// expose the modules object (__webpack_modules__)
/******/ 	__webpack_require__.m = modules;

/******/ 	// expose the module cache
/******/ 	__webpack_require__.c = installedModules;

/******/ 	// __webpack_public_path__
/******/ 	__webpack_require__.p = "/";

/******/ 	// Load entry module and return exports
/******/ 	return __webpack_require__(0);
/******/ })
/************************************************************************/
/******/ ([
/* 0 */
/***/ function(module, exports, __webpack_require__) {

	"use strict";

	var React = __webpack_require__(1);
	var ReactDOM = __webpack_require__(2);
	var _ = __webpack_require__(3);
	var cx = __webpack_require__(4);

	var api = __webpack_require__(5);
	var Result = __webpack_require__(7);

	module.exports = React.createClass({
		displayName: "exports",

		getInitialState: function getInitialState() {
			return {
				x: 0,
				y: 0,
				mouseX: 0,
				mouseY: 0,
				show: false,
				searchPredicate: "",

				source: null,
				dataset: null,
				searchBy: "name",
				imageBy: "name",
				showRemove: false,
				placeholder: null,
				callback: null
			};
		},
		componentWillMount: function componentWillMount() {
			__webpack_require__(8);
		},
		componentDidMount: function componentDidMount() {
			window.addEventListener("click", this.handleOutsideClick, false);
			window.addEventListener("mousemove", this.handleMouseMove, false);
			api.on("show", this.handleShow);
		},
		componentWillUnmount: function componentWillUnmount() {
			window.removeEventListener("click", this.handleOutsideClick, false);
			window.removeEventListener("mousemove", this.handleMouseMove, false);
			api.off("show");
		},
		handleSearchChange: function handleSearchChange(event) {
			this.setState({ searchPredicate: event.target.value.toLowerCase() });
		},
		handleSelect: function handleSelect(item) {
			if (this.state.callback) this.state.callback(item);
			this.hide();
		},
		handleShow: function handleShow(source, dataset, searchBy, imageBy, showRemove, placeholder, callback) {
			this.setState({
				x: this.state.mouseX,
				y: this.state.mouseY,
				show: true,
				source: source,
				dataset: dataset,
				searchBy: searchBy,
				imageBy: imageBy,
				showRemove: showRemove,
				placeholder: placeholder,
				callback: callback,
				searchPredicate: ""
			});
		},
		handleOutsideClick: function handleOutsideClick(event) {
			if (!this.state.show) return;
			if (this.refs.main.contains(event.target)) return;
			if (this.state.source.contains(event.target)) return;
			this.hide();
		},
		handleMouseMove: function handleMouseMove(event) {
			this.setState({
				mouseX: event.pageX,
				mouseY: event.pageY
			});
		},
		hide: function hide() {
			this.setState({
				show: false
			});
		},
		render: function render() {
			var _this = this;

			// Filter results by search criteria
			var results = _.sortBy(_.filter(this.state.dataset, function (item) {
				var criteria = item[_this.state.searchBy];
				if (typeof criteria === "function") criteria = criteria();

				return _.startsWith(_.toLower(criteria), _this.state.searchPredicate);
			}), this.state.searchBy);
			var className = cx("component-searchableModal", { show: this.state.show });

			return React.createElement(
				"div",
				{ ref: "main", className: className, style: { left: this.state.x, top: this.state.y } },
				React.createElement("input", {
					type: "text",
					value: this.state.searchPredicate,
					onChange: this.handleSearchChange,
					placeholder: this.state.placeholder || "Search..."
				}),
				results.length ? React.createElement(
					"div",
					{ className: "results" },
					this.state.showRemove ? React.createElement(Result, {
						data: null,
						image: __webpack_require__(12),
						label: "Remove",
						key: -1,
						onSelect: this.handleSelect
					}) : null,
					results.map(function (result, index) {
						var label = result[_this.state.searchBy];
						if (typeof label === "function") label = label.bind(result)();

						var image = _this.state.imageBy ? result[_this.state.imageBy] : null;
						if (typeof image === "function") image = image.bind(result)();

						return React.createElement(Result, {
							data: result,
							label: label,
							image: image,
							key: index,
							onSelect: _this.handleSelect
						});
					})
				) : React.createElement(
					"div",
					{ className: "resultsEmptyState" },
					"No results."
				)
			);
		}
	});
	module.exports.api = api;

/***/ },
/* 1 */
/***/ function(module, exports) {

	module.exports = require("react");

/***/ },
/* 2 */
/***/ function(module, exports) {

	module.exports = require("react-dom");

/***/ },
/* 3 */
/***/ function(module, exports) {

	module.exports = require("lodash");

/***/ },
/* 4 */
/***/ function(module, exports) {

	module.exports = require("classnames");

/***/ },
/* 5 */
/***/ function(module, exports, __webpack_require__) {

	"use strict";

	var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

	function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

	var Events = __webpack_require__(6);

	var SearchableModalApi = function () {
		function SearchableModalApi() {
			_classCallCheck(this, SearchableModalApi);
		}

		_createClass(SearchableModalApi, [{
			key: "show",
			value: function show(source, dataset, searchBy, imageBy, showRemove, placeholder, callback) {
				this.trigger("show", source, dataset, searchBy, imageBy, showRemove, placeholder, callback);
			}
		}]);

		return SearchableModalApi;
	}();

	var api = new SearchableModalApi();
	Events.createEmitter(api);
	module.exports = api;

/***/ },
/* 6 */
/***/ function(module, exports) {

	module.exports = require("ampersand-events");

/***/ },
/* 7 */
/***/ function(module, exports, __webpack_require__) {

	"use strict";

	var React = __webpack_require__(1);

	module.exports = React.createClass({
		displayName: "exports",

		propTypes: {
			onSelect: React.PropTypes.func.isRequired,

			data: React.PropTypes.any,
			image: React.PropTypes.string,
			label: React.PropTypes.string
		},
		handleClick: function handleClick() {
			this.props.onSelect(this.props.data);
		},
		render: function render() {
			return React.createElement(
				"div",
				{ className: "result", onClick: this.handleClick },
				this.props.image ? React.createElement("img", { src: this.props.image }) : null,
				this.props.label ? React.createElement(
					"div",
					{ className: "label" },
					this.props.label
				) : null
			);
		}
	});

/***/ },
/* 8 */
/***/ function(module, exports, __webpack_require__) {

	// style-loader: Adds some css to the DOM by adding a <style> tag

	// load the styles
	var content = __webpack_require__(9);
	if(typeof content === 'string') content = [[module.id, content, '']];
	// add the styles to the DOM
	var update = __webpack_require__(11)(content, {});
	if(content.locals) module.exports = content.locals;
	// Hot Module Replacement
	if(false) {
		// When the styles change, update the <style> tags
		if(!content.locals) {
			module.hot.accept("!!./../../node_modules/css-loader/index.js!./../../node_modules/sass-loader/index.js!./style.scss", function() {
				var newContent = require("!!./../../node_modules/css-loader/index.js!./../../node_modules/sass-loader/index.js!./style.scss");
				if(typeof newContent === 'string') newContent = [[module.id, newContent, '']];
				update(newContent);
			});
		}
		// When the module is disposed, remove the <style> tags
		module.hot.dispose(function() { update(); });
	}

/***/ },
/* 9 */
/***/ function(module, exports, __webpack_require__) {

	exports = module.exports = __webpack_require__(10)();
	// imports


	// module
	exports.push([module.id, ".component-searchableModal {\n  width: 275px;\n  height: 300px;\n  overflow: hidden;\n  position: absolute;\n  z-index: 4000;\n  pointer-events: none;\n  background-color: white;\n  color: #14083f;\n  font-size: 10px;\n  letter-spacing: 0.05em;\n  opacity: 0;\n  transition: opacity 0.05s;\n  box-shadow: 0px 0px 5px 4px rgba(0, 0, 0, 0.25); }\n  .component-searchableModal.show {\n    opacity: 1;\n    pointer-events: initial; }\n  .component-searchableModal input {\n    width: calc(100% - 16px);\n    font-size: 14px;\n    font-family: inherit;\n    color: inherit;\n    padding: 10px 8px;\n    border: none;\n    border-bottom: 1px solid rgba(20, 8, 63, 0.25);\n    outline: 0; }\n  .component-searchableModal .results {\n    height: 262px;\n    overflow-y: scroll; }\n  .component-searchableModal .resultsEmptyState {\n    width: 100%;\n    margin-top: 25px;\n    text-align: center;\n    color: rgba(20, 8, 63, 0.5); }\n  .component-searchableModal .result {\n    cursor: pointer;\n    display: block;\n    overflow: hidden;\n    padding: 6px;\n    height: 26px; }\n    .component-searchableModal .result:hover {\n      background-color: #1c155b;\n      color: white; }\n    .component-searchableModal .result .label {\n      width: calc(100% - 48px);\n      font-size: 11px;\n      text-overflow: ellipsis;\n      overflow: hidden;\n      white-space: nowrap;\n      display: inline-block;\n      vertical-align: top;\n      height: 26px;\n      line-height: 26px;\n      margin: 0 10px; }\n    .component-searchableModal .result img {\n      width: 26px;\n      height: 26px;\n      border-radius: 5px; }\n", ""]);

	// exports


/***/ },
/* 10 */
/***/ function(module, exports) {

	/*
		MIT License http://www.opensource.org/licenses/mit-license.php
		Author Tobias Koppers @sokra
	*/
	// css base code, injected by the css-loader
	module.exports = function() {
		var list = [];

		// return the list of modules as css string
		list.toString = function toString() {
			var result = [];
			for(var i = 0; i < this.length; i++) {
				var item = this[i];
				if(item[2]) {
					result.push("@media " + item[2] + "{" + item[1] + "}");
				} else {
					result.push(item[1]);
				}
			}
			return result.join("");
		};

		// import a list of modules into the list
		list.i = function(modules, mediaQuery) {
			if(typeof modules === "string")
				modules = [[null, modules, ""]];
			var alreadyImportedModules = {};
			for(var i = 0; i < this.length; i++) {
				var id = this[i][0];
				if(typeof id === "number")
					alreadyImportedModules[id] = true;
			}
			for(i = 0; i < modules.length; i++) {
				var item = modules[i];
				// skip already imported module
				// this implementation is not 100% perfect for weird media query combinations
				//  when a module is imported multiple times with different media queries.
				//  I hope this will never occur (Hey this way we have smaller bundles)
				if(typeof item[0] !== "number" || !alreadyImportedModules[item[0]]) {
					if(mediaQuery && !item[2]) {
						item[2] = mediaQuery;
					} else if(mediaQuery) {
						item[2] = "(" + item[2] + ") and (" + mediaQuery + ")";
					}
					list.push(item);
				}
			}
		};
		return list;
	};


/***/ },
/* 11 */
/***/ function(module, exports, __webpack_require__) {

	/*
		MIT License http://www.opensource.org/licenses/mit-license.php
		Author Tobias Koppers @sokra
	*/
	var stylesInDom = {},
		memoize = function(fn) {
			var memo;
			return function () {
				if (typeof memo === "undefined") memo = fn.apply(this, arguments);
				return memo;
			};
		},
		isOldIE = memoize(function() {
			return /msie [6-9]\b/.test(window.navigator.userAgent.toLowerCase());
		}),
		getHeadElement = memoize(function () {
			return document.head || document.getElementsByTagName("head")[0];
		}),
		singletonElement = null,
		singletonCounter = 0,
		styleElementsInsertedAtTop = [];

	module.exports = function(list, options) {
		if(false) {
			if(typeof document !== "object") throw new Error("The style-loader cannot be used in a non-browser environment");
		}

		options = options || {};
		// Force single-tag solution on IE6-9, which has a hard limit on the # of <style>
		// tags it will allow on a page
		if (typeof options.singleton === "undefined") options.singleton = isOldIE();

		// By default, add <style> tags to the bottom of <head>.
		if (typeof options.insertAt === "undefined") options.insertAt = "bottom";

		var styles = listToStyles(list);
		addStylesToDom(styles, options);

		return function update(newList) {
			var mayRemove = [];
			for(var i = 0; i < styles.length; i++) {
				var item = styles[i];
				var domStyle = stylesInDom[item.id];
				domStyle.refs--;
				mayRemove.push(domStyle);
			}
			if(newList) {
				var newStyles = listToStyles(newList);
				addStylesToDom(newStyles, options);
			}
			for(var i = 0; i < mayRemove.length; i++) {
				var domStyle = mayRemove[i];
				if(domStyle.refs === 0) {
					for(var j = 0; j < domStyle.parts.length; j++)
						domStyle.parts[j]();
					delete stylesInDom[domStyle.id];
				}
			}
		};
	}

	function addStylesToDom(styles, options) {
		for(var i = 0; i < styles.length; i++) {
			var item = styles[i];
			var domStyle = stylesInDom[item.id];
			if(domStyle) {
				domStyle.refs++;
				for(var j = 0; j < domStyle.parts.length; j++) {
					domStyle.parts[j](item.parts[j]);
				}
				for(; j < item.parts.length; j++) {
					domStyle.parts.push(addStyle(item.parts[j], options));
				}
			} else {
				var parts = [];
				for(var j = 0; j < item.parts.length; j++) {
					parts.push(addStyle(item.parts[j], options));
				}
				stylesInDom[item.id] = {id: item.id, refs: 1, parts: parts};
			}
		}
	}

	function listToStyles(list) {
		var styles = [];
		var newStyles = {};
		for(var i = 0; i < list.length; i++) {
			var item = list[i];
			var id = item[0];
			var css = item[1];
			var media = item[2];
			var sourceMap = item[3];
			var part = {css: css, media: media, sourceMap: sourceMap};
			if(!newStyles[id])
				styles.push(newStyles[id] = {id: id, parts: [part]});
			else
				newStyles[id].parts.push(part);
		}
		return styles;
	}

	function insertStyleElement(options, styleElement) {
		var head = getHeadElement();
		var lastStyleElementInsertedAtTop = styleElementsInsertedAtTop[styleElementsInsertedAtTop.length - 1];
		if (options.insertAt === "top") {
			if(!lastStyleElementInsertedAtTop) {
				head.insertBefore(styleElement, head.firstChild);
			} else if(lastStyleElementInsertedAtTop.nextSibling) {
				head.insertBefore(styleElement, lastStyleElementInsertedAtTop.nextSibling);
			} else {
				head.appendChild(styleElement);
			}
			styleElementsInsertedAtTop.push(styleElement);
		} else if (options.insertAt === "bottom") {
			head.appendChild(styleElement);
		} else {
			throw new Error("Invalid value for parameter 'insertAt'. Must be 'top' or 'bottom'.");
		}
	}

	function removeStyleElement(styleElement) {
		styleElement.parentNode.removeChild(styleElement);
		var idx = styleElementsInsertedAtTop.indexOf(styleElement);
		if(idx >= 0) {
			styleElementsInsertedAtTop.splice(idx, 1);
		}
	}

	function createStyleElement(options) {
		var styleElement = document.createElement("style");
		styleElement.type = "text/css";
		insertStyleElement(options, styleElement);
		return styleElement;
	}

	function createLinkElement(options) {
		var linkElement = document.createElement("link");
		linkElement.rel = "stylesheet";
		insertStyleElement(options, linkElement);
		return linkElement;
	}

	function addStyle(obj, options) {
		var styleElement, update, remove;

		if (options.singleton) {
			var styleIndex = singletonCounter++;
			styleElement = singletonElement || (singletonElement = createStyleElement(options));
			update = applyToSingletonTag.bind(null, styleElement, styleIndex, false);
			remove = applyToSingletonTag.bind(null, styleElement, styleIndex, true);
		} else if(obj.sourceMap &&
			typeof URL === "function" &&
			typeof URL.createObjectURL === "function" &&
			typeof URL.revokeObjectURL === "function" &&
			typeof Blob === "function" &&
			typeof btoa === "function") {
			styleElement = createLinkElement(options);
			update = updateLink.bind(null, styleElement);
			remove = function() {
				removeStyleElement(styleElement);
				if(styleElement.href)
					URL.revokeObjectURL(styleElement.href);
			};
		} else {
			styleElement = createStyleElement(options);
			update = applyToTag.bind(null, styleElement);
			remove = function() {
				removeStyleElement(styleElement);
			};
		}

		update(obj);

		return function updateStyle(newObj) {
			if(newObj) {
				if(newObj.css === obj.css && newObj.media === obj.media && newObj.sourceMap === obj.sourceMap)
					return;
				update(obj = newObj);
			} else {
				remove();
			}
		};
	}

	var replaceText = (function () {
		var textStore = [];

		return function (index, replacement) {
			textStore[index] = replacement;
			return textStore.filter(Boolean).join('\n');
		};
	})();

	function applyToSingletonTag(styleElement, index, remove, obj) {
		var css = remove ? "" : obj.css;

		if (styleElement.styleSheet) {
			styleElement.styleSheet.cssText = replaceText(index, css);
		} else {
			var cssNode = document.createTextNode(css);
			var childNodes = styleElement.childNodes;
			if (childNodes[index]) styleElement.removeChild(childNodes[index]);
			if (childNodes.length) {
				styleElement.insertBefore(cssNode, childNodes[index]);
			} else {
				styleElement.appendChild(cssNode);
			}
		}
	}

	function applyToTag(styleElement, obj) {
		var css = obj.css;
		var media = obj.media;

		if(media) {
			styleElement.setAttribute("media", media)
		}

		if(styleElement.styleSheet) {
			styleElement.styleSheet.cssText = css;
		} else {
			while(styleElement.firstChild) {
				styleElement.removeChild(styleElement.firstChild);
			}
			styleElement.appendChild(document.createTextNode(css));
		}
	}

	function updateLink(linkElement, obj) {
		var css = obj.css;
		var sourceMap = obj.sourceMap;

		if(sourceMap) {
			// http://stackoverflow.com/a/26603875
			css += "\n/*# sourceMappingURL=data:application/json;base64," + btoa(unescape(encodeURIComponent(JSON.stringify(sourceMap)))) + " */";
		}

		var blob = new Blob([css], { type: "text/css" });

		var oldSrc = linkElement.href;

		linkElement.href = URL.createObjectURL(blob);

		if(oldSrc)
			URL.revokeObjectURL(oldSrc);
	}


/***/ },
/* 12 */
/***/ function(module, exports, __webpack_require__) {

	module.exports = __webpack_require__.p + "960a01c4f59fa6d466d4ea4ce1d30ae0.svg";

/***/ }
/******/ ]);